// Copyright 1996-1998 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniComponents/ImageProcessors/appkit/OIAppKitImageProcessor.h,v 1.2 1998/12/10 21:26:49 kc Exp $

#import <OIF/OIImageProcessor.h>

@class NSException, NSLock;
@class OWContentType;

@interface OIAppKitImageProcessor : OIImageProcessor
{
    NSLock *appkitProcessingDoneLock;
    NSException *imagingException;
    OWContentType *contentType;
}

@end
